{
  "minecraft:recipes/decorations/smoker": {
    "criteria": {
      "has_furnace": "2023-03-27 16:25:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab": {
    "criteria": {
      "has_polished_andesite": "2023-03-24 20:10:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_pillar": {
    "criteria": {
      "has_quartz_pillar": "2023-03-22 21:27:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brick_wall": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_door": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_nether_brick_slab_from_red_nether_bricks_stonecutting": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_prismarine_slab_from_dark_prismarine_stonecutting": {
    "criteria": {
      "has_dark_prismarine": "2023-03-25 04:11:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs": {
    "criteria": {
      "has_polished_andesite": "2023-03-24 20:10:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_bed": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks": {
    "criteria": {
      "has_tag": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cut_sandstone_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_fence_gate": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/green_dye": {
    "criteria": {
      "has_cactus": "2023-03-27 17:38:24 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_pressure_plate": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_stairs": {
    "criteria": {
      "has_polished_granite": "2023-03-24 22:12:51 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_slab_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blast_furnace": {
    "criteria": {
      "has_smooth_stone": "2023-03-22 21:25:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_slab": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_prismarine_stairs_from_dark_prismarine_stonecutting": {
    "criteria": {
      "has_dark_prismarine": "2023-03-25 04:11:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_nether_brick_wall": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2023-03-22 21:42:16 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_stone_from_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/mangrove_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_button": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mangrove_sign": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal_from_bone_block": {
    "criteria": {
      "has_bone_block": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_mangrove_wood": {
    "criteria": {
      "has_log": "2023-03-25 03:43:24 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_button": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/white_dye": {
    "criteria": {
      "has_bone_meal": "2023-03-24 20:02:49 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_slab_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_stone_bricks": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/terracotta": {
    "criteria": {
      "has_clay_block": "2023-03-24 20:38:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/food/mushroom_stew": {
    "criteria": {
      "has_red_mushroom": "2023-03-25 04:21:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_planks": {
    "criteria": {
      "has_log": "2023-03-24 22:55:49 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar_from_sugar_cane": {
    "criteria": {
      "has_sugar_cane": "2023-03-27 18:22:56 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_stairs": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_door": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/trapped_chest": {
    "criteria": {
      "has_tripwire_hook": "2023-03-25 04:18:49 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_nether_brick_slab": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_slab": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_slab": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/raw_gold": {
    "criteria": {
      "has_raw_gold_block": "2023-03-25 04:13:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_sandstone_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_slab_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/granite_wall": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_stairs_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_banner": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_planks": {
    "criteria": {
      "has_logs": "2023-03-24 23:16:37 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_cobblestone_wall": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glass": {
    "criteria": {
      "has_sand": "2023-03-27 18:18:53 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_slab": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_cobblestone_wall_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:nether/get_wither_skull": {
    "criteria": {
      "wither_skull": "2023-03-25 04:27:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_fence_gate": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_basalt": {
    "criteria": {
      "has_basalt": "2023-03-25 03:26:22 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone_slab": {
    "criteria": {
      "has_smooth_stone": "2023-03-22 21:25:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/diorite_wall_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_pressure_plate": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_button": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2023-03-25 04:12:22 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/armor_stand": {
    "criteria": {
      "has_stone_slab": "2023-03-22 22:13:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/charcoal": {
    "criteria": {
      "has_log": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2023-03-27 18:18:53 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_planks": {
    "criteria": {
      "has_logs": "2023-03-25 00:42:41 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_stairs": {
    "criteria": {
      "has_quartz_pillar": "2023-03-22 21:27:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab": {
    "criteria": {
      "has_polished_diorite": "2023-03-24 22:59:08 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_stairs": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_slab_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_carpet": {
    "criteria": {
      "has_red_wool": "2023-03-24 22:55:14 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_wood": {
    "criteria": {
      "has_log": "2023-03-24 22:55:49 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/birch_sign": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_basalt_from_basalt_stonecutting": {
    "criteria": {
      "has_basalt": "2023-03-25 03:26:22 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/bowl": {
    "criteria": {
      "has_red_mushroom": "2023-03-25 04:21:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_deepslate_wall": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_fence": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_stairs": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_slab_from_polished_granite_stonecutting": {
    "criteria": {
      "has_polished_granite": "2023-03-24 22:12:51 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_glazed_terracotta": {
    "criteria": {
      "has_red_terracotta": "2023-03-25 03:42:39 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite_slab": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_carpet": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/dark_oak_sign": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_azure_bluet": {
    "criteria": {
      "has_azure_bluet": "2023-03-27 16:21:02 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_stairs": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_slab": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_fence_gate": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_prismarine_slab": {
    "criteria": {
      "has_dark_prismarine": "2023-03-25 04:11:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_bricks": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_door": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs_from_polished_diorite_stonecutting": {
    "criteria": {
      "has_polished_diorite": "2023-03-24 22:59:08 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brick_wall_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/granite_wall_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs": {
    "criteria": {
      "has_polished_diorite": "2023-03-24 22:59:08 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_stairs_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_fence": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/sandstone_wall_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/birch_fence": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_stairs": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_slab": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_door": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone_slab_from_smooth_stone_stonecutting": {
    "criteria": {
      "has_smooth_stone": "2023-03-22 21:25:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_sign": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite_stairs": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2023-03-27 18:22:56 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_deepslate_wall_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_sandstone": {
    "criteria": {
      "has_sandstone_slab": "2023-03-27 18:21:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_dark_oak_wood": {
    "criteria": {
      "has_log": "2023-03-24 22:56:09 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_stairs_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_nether_brick_stairs": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/blue_dye_from_cornflower": {
    "criteria": {
      "has_cornflower": "2023-03-27 16:24:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2023-03-22 21:36:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/moss_carpet": {
    "criteria": {
      "has_moss_block": "2023-03-25 00:40:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_glazed_terracotta": {
    "criteria": {
      "has_light_gray_terracotta": "2023-03-25 04:13:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab_from_polished_diorite_stonecutting": {
    "criteria": {
      "has_polished_diorite": "2023-03-24 22:59:08 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_bed": {
    "criteria": {
      "has_light_gray_wool": "2023-03-22 21:23:52 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_button": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/painting": {
    "criteria": {
      "has_wool": "2023-03-22 21:23:52 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_slab": {
    "criteria": {
      "has_quartz_pillar": "2023-03-22 21:27:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_poppy": {
    "criteria": {
      "has_poppy": "2023-03-25 04:29:16 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_from_moss_block": {
    "criteria": {
      "has_moss_block": "2023-03-25 00:40:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_nether_brick_wall_from_red_nether_bricks_stonecutting": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye_from_smelting": {
    "criteria": {
      "has_sea_pickle": "2023-03-25 00:41:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_logs": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_slab": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_banner": {
    "criteria": {
      "has_light_gray_wool": "2023-03-22 21:23:52 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_stairs": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_slab": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite_slab_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_stairs_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_trapdoor": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2023-03-24 20:10:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite": {
    "criteria": {
      "has_stone": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_bricks_from_polished_deepslate_stonecutting": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cut_sandstone_slab_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_banner": {
    "criteria": {
      "has_red_wool": "2023-03-24 22:55:14 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_pressure_plate": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_quartz_block": {
    "criteria": {
      "has_quartz_pillar": "2023-03-22 21:27:15 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_planks": {
    "criteria": {
      "has_logs": "2023-03-22 22:17:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_bricks_from_moss_block": {
    "criteria": {
      "has_moss_block": "2023-03-25 00:40:28 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cut_sandstone": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_stairs": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/skull_banner_pattern": {
    "criteria": {
      "has_wither_skeleton_skull": "2023-03-25 04:27:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_stairs_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_basalt": {
    "criteria": {
      "has_basalt": "2023-03-25 03:26:22 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_fence_gate": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2023-03-27 16:25:08 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/slime_ball": {
    "criteria": {
      "has_slime_block": "2023-03-27 16:23:44 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone_slab_from_sandstone_stonecutting": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/combat/crossbow": {
    "criteria": {
      "has_tripwire_hook": "2023-03-25 04:18:49 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_pressure_plate": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/packed_mud": {
    "criteria": {
      "has_mud": "2023-03-27 17:44:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_trapdoor": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_sign": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_trapdoor": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite_stairs_from_granite_stonecutting": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_deepslate": {
    "criteria": {
      "has_cobbled_deepslate_slab": "2023-03-25 01:09:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_fence_gate": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_gravel": "2023-03-24 19:59:57 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_slab": {
    "criteria": {
      "has_polished_granite": "2023-03-24 22:12:51 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_button": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/diorite_wall": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite_stairs_from_polished_granite_stonecutting": {
    "criteria": {
      "has_polished_granite": "2023-03-24 22:12:51 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_pressure_plate": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_bricks_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stonecutter": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:taiga": "2023-03-27 18:36:19 +0300",
      "minecraft:beach": "2023-03-27 18:18:31 +0300",
      "minecraft:river": "2023-03-27 18:32:02 +0300",
      "minecraft:cold_ocean": "2023-03-22 21:18:23 +0300",
      "minecraft:forest": "2023-03-22 21:17:43 +0300",
      "minecraft:ocean": "2023-03-22 21:17:58 +0300"
    },
    "done": false
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/composter": {
    "criteria": {
      "has_wood_slab": "2023-03-24 22:56:42 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_carpet": {
    "criteria": {
      "has_light_gray_wool": "2023-03-22 21:23:52 +0300"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/barrel": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab": {
    "criteria": {
      "has_mossy_stone_bricks": "2023-03-27 17:22:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_slab": {
    "criteria": {
      "has_polished_deepslate": "2023-03-24 22:13:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed": {
    "criteria": {
      "has_red_wool": "2023-03-24 22:55:14 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_nether_brick_stairs_from_red_nether_bricks_stonecutting": {
    "criteria": {
      "has_red_nether_bricks": "2023-03-27 15:08:04 +0300"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_door": {
    "criteria": {
      "has_planks": "2023-03-27 17:42:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_walls_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_stairs": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2023-03-24 20:10:35 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/grindstone": {
    "criteria": {
      "has_stone_slab": "2023-03-22 23:31:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/food/honey_bottle": {
    "criteria": {
      "has_honey_block": "2023-03-27 16:23:45 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2023-03-22 21:18:59 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_prismarine_stairs": {
    "criteria": {
      "has_dark_prismarine": "2023-03-25 04:11:36 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab": {
    "criteria": {
      "has_bricks": "2023-03-24 22:12:46 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite": {
    "criteria": {
      "has_granite": "2023-03-24 22:12:50 +0300"
    },
    "done": true
  },
  "minecraft:recipes/transportation/warped_fungus_on_a_stick": {
    "criteria": {
      "has_warped_fungus": "2023-03-25 04:21:14 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_trapdoor": {
    "criteria": {
      "has_planks": "2023-03-22 21:42:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs": {
    "criteria": {
      "has_stone": "2023-03-22 21:32:34 +0300"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_trapdoor": {
    "criteria": {
      "has_planks": "2023-03-27 14:22:17 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_spruce_wood": {
    "criteria": {
      "has_log": "2023-03-25 00:42:41 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/sandstone_wall": {
    "criteria": {
      "has_sandstone": "2023-03-22 21:42:32 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/dark_oak_fence": {
    "criteria": {
      "has_planks": "2023-03-25 03:48:18 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite": {
    "criteria": {
      "has_diorite": "2023-03-27 16:30:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2023-03-24 23:00:38 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab": {
    "criteria": {
      "has_andesite": "2023-03-22 21:27:43 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mangrove_fence": {
    "criteria": {
      "has_planks": "2023-03-25 03:42:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_wool": {
    "criteria": {
      "has_white_wool": "2023-03-24 23:04:54 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_carpet_from_white_carpet": {
    "criteria": {
      "has_white_carpet": "2023-03-24 23:05:01 +0300"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2023-03-24 20:34:30 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_stairs": {
    "criteria": {
      "has_mossy_cobblestone": "2023-03-27 17:22:33 +0300"
    },
    "done": true
  },
  "minecraft:recipes/misc/white_dye_from_lily_of_the_valley": {
    "criteria": {
      "has_lily_of_the_valley": "2023-03-25 04:21:10 +0300"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2023-03-27 16:29:40 +0300"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_bone_meal": "2023-03-24 20:02:49 +0300"
    },
    "done": true
  },
  "DataVersion": 3120
}